<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- qbs-target-platforms.qdoc -->
  <title>Target Platforms | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td><td >Target Platforms</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="installing-files.html" />
  <link rel="next" href="shell.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="installing-files.html">Installing Files</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="shell.html">Using the Shell</a>
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Target Platforms</h1>
<span class="subtitle"></span>
<!-- $$$platforms-description -->
<div class="descr"> <a name="details"></a>
<p>Qbs has built-in support for building applications for all major platforms. Platform support is implemented as a set of <a href="qbsmodules-qmlmodule.html">modules</a> that products depend on. The following topics describe the features specific to a particular platform, point out things to look out for, and provide tips for fully benefiting from the Qbs functions.</p>
<p>In addition to the platforms explicitly listed below, Qbs should generally work on other UNIX and Unix-like platforms but these are not regularly tested or officially supported.</p>
<p>Qbs recognizes the existence of at least AIX, HP-UX, Solaris, FreeBSD, NetBSD, OpenBSD, GNU Hurd, and Haiku, but provides no explicit support (except some minimal support for FreeBSD).</p>
<p>For instructions on how to setup the target platform, see the <a href="qml-qbsmodules-qbs.html#targetPlatform-prop">qbs.targetPlatform</a> property.</p>
</div>
<!-- @@@platforms -->
<div class="table"><table class="annotated">
<tr class="odd topAlign"><td class="tblName"><p><a href="qbs-target-android.html">Building for Android</a></p></td><td class="tblDescr"><p>Platform notes for Android.</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qbs-target-integrity.html">Building for INTEGRITY</a></p></td><td class="tblDescr"><p>Platform notes for INTEGRITY.</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qbs-target-linux.html">Building for Linux</a></p></td><td class="tblDescr"><p>Platform notes for Linux.</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qbs-target-qnx.html">Building for QNX</a></p></td><td class="tblDescr"><p>Platform notes for QNX.</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qbs-target-vxworks.html">Building for VxWorks</a></p></td><td class="tblDescr"><p>Platform notes for VxWorks.</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qbs-target-windows.html">Building for Windows</a></p></td><td class="tblDescr"><p>Platform notes for Windows.</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qbs-target-ios.html">Building for iOS</a></p></td><td class="tblDescr"><p>Platform notes for iOS.</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qbs-target-macos.html">Building for macOS</a></p></td><td class="tblDescr"><p>Platform notes for macOS.</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qbs-target-tvos.html">Building for tvOS</a></p></td><td class="tblDescr"><p>Platform notes for tvOS.</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qbs-target-watchos.html">Building for watchOS</a></p></td><td class="tblDescr"><p>Platform notes for watchOS.</p></td></tr>
</table></div>
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="installing-files.html">Installing Files</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="shell.html">Using the Shell</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
